apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: emrv2-prod-frontend
spec:
  selector:
    matchLabels:
      app: emrv2-prod-frontend
      tier: frontend
      track: stable
  replicas: 3
  template:
    metadata:
      labels:
        app: emrv2-prod-frontend
        tier: frontend
        track: stable
    spec:
      containers:
        - name: emrv2-prod-frontend
          image: {{image}}
          ports:
            - name: http
              containerPort: 80
          env:
            - name: PROJECT_ID
              value: emr-v2
            - name: TESTPRODENV
              value: TEST2